## mx4j.tools.remote.caucho
Class CauchoServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              mx4j.tools.remote.caucho.CauchoServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Direct Known Subclasses:
  BurlapServlet, HessianServlet

public abstract class CauchoServlet
extends javax.servlet.http.HttpServlet

Version:
  $Revision: 1.4 $
See Also:
  Serialized Form

Constructor Summary
`CauchoServlet()`

Method Summary
`protected abstract CauchoInput` `createCauchoInput(java.io.InputStream stream)`
`protected abstract CauchoOutput` `createCauchoOutput(java.io.OutputStream stream)`
`protected java.lang.reflect.Method` `findMethod(java.lang.String methodName)`
`protected abstract java.lang.Object` `getService()`
`void` `init()`
`protected void` `invoke(javax.servlet.http.HttpServletRequest request, CauchoInput input, CauchoOutput output)`
`protected java.lang.Object` `invoke(java.lang.String url, java.lang.Object target, java.lang.reflect.Method method, java.util.Map headers, java.lang.Object[] values)`
`protected java.lang.String` `mangleMethodName(java.lang.reflect.Method method)`
`protected void` `mapMethods(java.lang.Class cls, java.util.Map methods)`
`protected java.lang.Object[]` `readArguments(CauchoInput input, java.lang.reflect.Method method)`
`protected java.util.Map` `readHeaders(CauchoInput input)`
`protected void` `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CauchoServlet

    public CauchoServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### mapMethods

    protected void mapMethods(java.lang.Class cls,
                              java.util.Map methods)

### findMethod

    protected java.lang.reflect.Method findMethod(java.lang.String methodName)

### mangleMethodName

    protected java.lang.String mangleMethodName(java.lang.reflect.Method method)

### service

    protected void service(javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response)
                    throws javax.servlet.ServletException,
                           java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### createCauchoInput

    protected abstract CauchoInput createCauchoInput(java.io.InputStream stream)

### createCauchoOutput

    protected abstract CauchoOutput createCauchoOutput(java.io.OutputStream stream)

### getService

    protected abstract java.lang.Object getService()

### invoke

    protected void invoke(javax.servlet.http.HttpServletRequest request,
                          CauchoInput input,
                          CauchoOutput output)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### readHeaders

    protected java.util.Map readHeaders(CauchoInput input)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### readArguments

    protected java.lang.Object[] readArguments(CauchoInput input,
                                               java.lang.reflect.Method method)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### invoke

    protected java.lang.Object invoke(java.lang.String url,
                                      java.lang.Object target,
                                      java.lang.reflect.Method method,
                                      java.util.Map headers,
                                      java.lang.Object[] values)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.